org.gradle.api.publish.ivy

## Interface IvyConfiguration

- All Superinterfaces:
    Named

      @Incubating
      public interface IvyConfiguration
      extends Named

  A configuration included in an `IvyPublication`, which will be published in the ivy descriptor file generated.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `extend(String configuration)` Add the name of a configuration that this configuration extends.
    `Set<String>` | `getExtends()` The set of names of extended configurations, added via `extend(String)`.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### extend

          void extend(String configuration)

      Add the name of a configuration that this configuration extends. The extend value can use the following wildcards:
      - * - all other configurations
      - *(public) - all other public configurations
      - *(private) - all other private configurations
      Parameters:
        `configuration` - The extended configuration name

    - #### getExtends

          Set<String> getExtends()

      The set of names of extended configurations, added via `extend(String)`.
      Returns:
        The names of extended configurations.